Unable to install Plesk Migrator: Unable to connect to the extensions catalog Connection timed out

Created:

2016-11-16 13:11:48 UTC

Modified:

2017-08-08 13:21:46 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to install Plesk Migrator: Unable to connect to the extensions catalog Connection timed out

Applicable to:

  • Plesk 12.5 for Linux

Symptoms

  1. Unable to install Plesk Migrator using autoinstaller:

    The component plesk/pmm is not available.
  2. Unable to install Plesk Migrator via Tools and Settings > Updates and Upgrades :

    Error: Unable to install the extension: Executing /usr/local/psa/tmp/moduleR2GaBC/plib/scripts/pre-install.php failed: It is impossible to install Plesk Migrator on Linux servers via Plesk extensions catalog. Please install it by means of Plesk Installer.
  3. Unable to open Extenstion management:

    Error: Unable to connect to the extensions catalog: Connection timed out after 30001 milliseconds
  4. ext.plesk.com is not accessible from the server:

    wget ext.plesk.com
    Proxy request sent, awaiting response... 301 Moved Permanently
    Location: https://ext.plesk.com/ [following]
    Proxy tunneling failed: Bad RequestUnable to establish SSL connection.
  5. The following errors are found in autoinstaller3.log :

    Downloading extensions catalog feed...
    Debug: download extension catalog feed: https://ext.plesk.com/api/v2/packages?platform=unix&version=12.5.30&ai-compatible
    Failed to collect extension catalog packages: Failed to download extension catalog feed by URL https://ext.plesk.com/api/v2/packages?platform=unix&version=12.5.30&ai-compatible:
    connect() timed out!

Cause

Server is firewalled.

Resolution

Contact network administrator to allow connection to ext.plesk.com

Have more questions? Submit a request
Please sign in to leave a comment.